//=====================================================================================
#include "gheader.h"
//=====================================================================================
#ifdef ENABLE_APIDKEY_MODE 
//=====================================================================================
static bdata bit bDigitalKeyStatus;
static BYTE idata bDigitalKeyReleaseTime;

static bdata bit bDigitalKey2Status;
static BYTE idata bDigitalKey2ReleaseTime;
//=====================================================================================
void DRV_DigitalKeyInitial(void)
{
	//Init keypad I/O function.
  	KEYPAD_PWRKEY_PIN_OE = GPIO_INPUT_MODE;    
  	KEYPAD_PWRKEY_PIN_PHN = GPIO_PULL_HIGH;     


	KEY2_PIN_OE = GPIO_INPUT_MODE;
	KEY2_PIN_PHN = GPIO_PULL_HIGH;     

  	bDigitalKeyReleaseTime = 0;
}
//=====================================================================================
//
//=====================================================================================
void DRV_DigitalKeyPadRoutine(void)
{
	//check power key pushed?
  	if(KEYPAD_PWRKEY_PIN == KEY_PUSHED)
    {
		if(bDigitalKeyStatus == KEY_RELEASE)
		{
        	if(bDigitalKeyReleaseTime == 0)
            {
				bDigitalKeyReleaseTime = 50;	// 500 ms
		      	bDigitalKeyStatus = KEY_PUSHED;

						DRV_Printf("Dkey Event = %d \r\n",gbRtcSec);

				#if LED_DEBUG
				LED1_PIN = !LED1_PIN;
				#endif
		
				if(PowerStatus==POWER_OFF)
				{
					System_Power_ON(HOST_WAKEUP_VIA_DKEY);
				}
				else
				{
					System_Power_OFF(HOST_PWRDOWN_VIA_DKEY);
				} 			 	   			
            }
       	}
   	}
  else bDigitalKeyStatus = KEY_RELEASE;
}
//=====================================================================================
//
//=====================================================================================
void DRV_DigitalKey2Routine(void)
{
	//check power key pushed?
  	if(KEY2_PIN == KEY_PUSHED)
    {
		if(bDigitalKey2Status == KEY_RELEASE)
		{
        	if(bDigitalKey2ReleaseTime == 0)
            {
				bDigitalKey2ReleaseTime = 50;	// 500 ms
		      	bDigitalKey2Status = KEY_PUSHED;

						DRV_Printf("Dkey Event = %d \r\n",gbRtcSec);
				#if LED_DEBUG
				LED2_PIN = !LED2_PIN;
				#endif	
		
					 	   			
            }
       	}
   	}
  else bDigitalKey2Status = KEY_RELEASE;
}
// ======================================================================================
void DRV_DigitalKey10mS(void)
{
	if(bDigitalKeyReleaseTime)
    {
    	bDigitalKeyReleaseTime--;
    }
	if(bDigitalKey2ReleaseTime)
    {
    	bDigitalKey2ReleaseTime--;
    }			
}
//=====================================================================================
#endif
