#ifndef _DRV_PWM_H_
#define _DRV_PWM_H_
//=====================================================================================
#define PWM0_PIN_OE       DefineBit(rGPIOC_OEN, bit5)
#define PWM1_PIN_OE       DefineBit(rGPIOA_OEN, bit0)
#define PWM2_PIN_OE       DefineBit(rGPIOA_OEN, bit3)
#define PWM3_PIN_OE       DefineBit(rGPIOA_OEN, bit4)



#define	ENABLE_PWM0		0x10
#define	ENABLE_PWM1		0x20
#define	ENABLE_PWM2		0x40
#define	ENABLE_PWM3		0x80

#define	PWM0_8BIT		0x01   
#define	PWM1_8BIT		0x02 
#define	PWM2_8BIT		0x04 
#define	PWM3_8BIT		0x08 


#define	PWM_CLK_12MHZ	0x00
#define	PWM_CLK_6MHZ	0x01
#define	PWM_CLK_3MHZ	0x02
#define	PWM_CLK_1MHZ	0x03

#define GPIO_PWM0_IO_FUN_EN         DefineBit(rGPIO_CTL0, bit0)   //Select GPIO share function.
#define GPIO_PWM1_IO_FUN_EN         DefineBit(rGPIO_CTL0, bit1)   //Select GPIO share function.
#define GPIO_PWM2_IO_FUN_EN         DefineBit(rGPIO_CTL0, bit2)   //Select GPIO share function.
#define GPIO_PWM3_IO_FUN_EN         DefineBit(rGPIO_CTL0, bit3)   //Select GPIO share function.
//=====================================================================================
void  DRV_PwmInitial(void); 
//=====================================================================================
#endif