#ifndef _SYS_TYPEDEF_H_
#define _SYS_TYPEDEF_H_

#define POWER_OFF		0x00	//STANDBY
#define POWER_OFF_ON	0x01   	//STANDBY TO ON
#define POWER_ON		0x02

//====For System 
extern BYTE data PowerStatus;
#if SLEEP_SELF_TEST
extern WORD data PowerDownCounter;
#endif
//====For Timer0
extern BYTE bdata bOsTimer0Flag;
extern bdata bit fSystemTimeEvent;
extern bdata bit fAkeypadTimeEvent;
extern bdata bit fKeypadTimeEvent;
extern bdata bit fIrTimerEvent;
extern bdata bit fAlarmTimer;
extern bdata bit fRoscTimerEvent;
extern bdata bit fSystemTimer2Event;
extern bdata bit fSystemTimer1Event;
extern BYTE data bOsTimer0Count;

//====For Timer
#if SYSTEM_SELF_TEST
extern bdata bit fSystemSelfTestEvent;
//extern BYTE data SelfTestCounter;
#endif
#if TIMER_SELF_TEST 
//extern WORD idata bOsTimer1Count;
//extern WORD idata bOsTimer2Count;
#endif

//====For Uart0 & Uart1
#if UART0_SELF_TEST
extern bdata bit fSystemUart0RxEvent;
#endif
#if UART_SELF_TEST
extern bdata bit fSystemUart1RxEvent;
extern BYTE data Uart1RxData;
extern bdata bit fSystemUart1TxEvent;
#endif

//====For Ir
#if IR_SELF_TEST
extern bdata bit fSystemIrInt0Event;
extern bdata bit fSystemIrInt1Event;
#endif

//====For VDD
#if VDD_SELF_TEST
extern bdata bit fSystemVddInt0Event;
//extern bdata bit fSystemVddInt1Event;
#endif

//====For WDT
#if DWDT_SELF_TEST
extern bdata bit fSystemWdtInt0Event;
//extern WORD data WatchDogCounter;
#endif


//====For INT0
#if INT0_SELF_TEST
extern bdata bit fSystemInt0Event;
extern BYTE data INT0Data0;
extern BYTE data INT0Data1;
#endif

//===== For Rtc
extern BYTE idata gbRtcSec, gbRtcMin, gbRtcHour, gbRtcDay, gbRtcWeek, gbRtcMonth, gbRtcYear;
extern BYTE idata gbBackupRtcSec, gbBackupRtcMin, gbBackupRtcHour, gbBackupRtcDay, gbBackupRtcWeek, gbBackupRtcMonth, gbBackupRtcYear;
extern BYTE data gbRtcUpdateFlag;
extern bdata bit gsbSecFlag;
#endif


//===== For SPI Slave
#ifdef	ENABLE_SPI_MODE
//extern sPOINT 	xdata gsSpiCurPoint; 
//extern BYTE xdata gbSpiIndex;
extern BYTE xdata gbSpiTxBuffers[8];
extern BYTE xdata gbSpiRxBuffers[10];
extern BYTE xdata gbSpiAdcCounter[8];
#endif











