//=====================================================================================
#include "gheader.h"
#if TIMER_SELF_TEST

BYTE idata bApiTimer1Counter;
	
BYTE idata bApiTimer2Counter;

//======================================================
void API_TimerSelftest(void)
{
BYTE idata TimerIndex;
	//Disable Watch Dog
	rWATCHDOG |= 0x80;
	TimerIndex = SelfTestCommand[STC_INDEX1] & 0x0F;	
	if(TimerIndex==0x00)
	{
		//Timer 1 and Timer 2 base 10ms
		DRV_PutStr("Timer 1 base 50ms then output to GPIOC5/PWM0 \r\n");
		DRV_PutStr("Timer 1 base 100ms then output to GPIOA4/PWM4 \r\n");
		#if TIMER_SELF_TEST		
		//Output GPIO
		GPIOC5_PIN_OE = GPIO_OUTPUT_MODE;
		GPIOA4_PIN_OE = GPIO_OUTPUT_MODE;
   		bApiTimer1Counter = 0;
		bApiTimer2Counter = 0;
		OS_Timer12SelfTestInitial();		
		#endif

				
		
	}

	//Disable Watch Dog
	rWATCHDOG |= 0x80;
	while(1)
	{
		if(fSystemTimer1Event==1)
		{
			fSystemTimer1Event = 0;
			bApiTimer1Counter++;
			if(bApiTimer1Counter>=5)
			{
				bApiTimer1Counter = 0;
				GPIOC5_PIN = !GPIOC5_PIN;
			}
		}
		if(fSystemTimer2Event==1)
		{
			fSystemTimer2Event = 0;
			bApiTimer2Counter++;
			if(bApiTimer2Counter>=10)
			{
				bApiTimer2Counter = 0;
				GPIOA4_PIN = !GPIOA4_PIN;
			}
		}
	}

}













#endif
