#ifndef DRV_ADC_H
#define DRV_ADC_H
//=====================================================================================
#define VREF_FROM_VDD	0x04
#define VREF_FROM_AREF	0x02
#define VREF_FROM_TMPS	0x01

#define GPIOB0_PIN   	    DefineBit(rGPIOB_DAT, bit0)
#define GPIOB0_PIN_OE       DefineBit(rGPIOB_OEN, bit0)
#define GPIOB0_PIN_PHN      DefineBit(rGPIOB_PHN, bit0)

#define GPIOB1_PIN_OE       DefineBit(rGPIOB_OEN, bit1)
#define GPIOB1_PIN_PHN      DefineBit(rGPIOB_PHN, bit1)

#define GPIOB2_PIN_OE       DefineBit(rGPIOB_OEN, bit2)
#define GPIOB2_PIN_PHN      DefineBit(rGPIOB_PHN, bit2)

#define GPIOB3_PIN_OE       DefineBit(rGPIOB_OEN, bit3)
#define GPIOB3_PIN_PHN      DefineBit(rGPIOB_PHN, bit3)

#define GPIOB4_PIN_OE       DefineBit(rGPIOB_OEN, bit4)
#define GPIOB4_PIN_PHN      DefineBit(rGPIOB_PHN, bit4)

#define GPIOB5_PIN_OE       DefineBit(rGPIOB_OEN, bit5)
#define GPIOB5_PIN_PHN      DefineBit(rGPIOB_PHN, bit5)

#define GPIOB6_PIN_OE       DefineBit(rGPIOB_OEN, bit6)
#define GPIOB6_PIN_PHN      DefineBit(rGPIOB_PHN, bit6)

#define GPIOB7_PIN_OE       DefineBit(rGPIOB_OEN, bit7)
#define GPIOB7_PIN_PHN      DefineBit(rGPIOB_PHN, bit7)





//=====================================================================================
extern WORD idata ADC0Level,ADC1Level;
extern WORD idata TemperatureLevel;
void DRV_AnalogKeyInitial(void);

WORD DRV_ReadAnalogChannel(BYTE AD_Channel);
WORD API_AverageADCData(BYTE ADC_Channel);
//WORD DRV_ReadTemperatureSensor(void);

#ifdef ENABLE_ACOMP_MODE 
void DRV_AnalogComparatorInitial(void);
#endif
//=====================================================================================
#endif