//=====================================================================================
#include "gheader.h"
//=====================================================================================
#ifdef ENABLE_RTC_MODE 
//=====================================================================================



//=====================================================================================
//
//=====================================================================================
void DRV_RtcInitial(void)
{
  	//Init RTC 
	rRTC_CTL |= 0x40;				//Must Enable RTC CS & EN, then can next write/read RCT registors
	rRTC_CTL |=0x10;
	rRTC_CTL &=~0x10;
	rRTC_CTL |=0x20;
 	//rRTC_MISC = 0xE3;				//
  	rRTC_OSC &= 0x30;				//32.768KHZ oscillator enable 
	rRTC_OSC |= 0x02;			    // output 1HZ clock frequency
  	//Delay 50 ms
	DelayWhile(50);					//50	
	SYS_DelayMs(50);
  	rRTC_CTL &= 0x9F;  

		#ifdef ENABLE_APIRTC_MODE
		API_ReadRtcTime();
		#endif
}

//=====================================================================================
//
//=====================================================================================
void DRV_Rtc1SecInitial(void)
{  
	//RTC 1sec interrupt from INT0
  	INT0_CTL_1SEC_EN = 1;		//Enable RTC1S interrupt from INT0
	EX0 = 1;					//Enable INT0 interrupt
	rRTC_CTL |= 0x01;			//clear RTC1S interrupt & event
	gsbSecFlag = 0;
}



//=====================================================================================
#endif
