#include "gheader.h"



//=====For Flag
//Address 0x20


//====For System 
BYTE data PowerStatus=POWER_ON;
#if SLEEP_SELF_TEST
WORD data PowerDownCounter=0;
#endif
//====For Timer0
bdata BYTE bOsTimer0Flag;
sbit fSystemTimeEvent 	= bOsTimer0Flag ^ 7;
sbit fKeypadTimeEvent 	= bOsTimer0Flag ^ 6;
sbit fAkeypadTimeEvent 	= bOsTimer0Flag ^ 5;
sbit fIrTimerEvent 		= bOsTimer0Flag ^ 4;
sbit fAlarmTimer		= bOsTimer0Flag ^ 3;
sbit fRoscTimerEvent	= bOsTimer0Flag ^ 2;
sbit fSystemTimer2Event	= bOsTimer0Flag ^ 1;
sbit fSystemTimer1Event	= bOsTimer0Flag ^ 0;
BYTE data bOsTimer0Count;


//====For Timer
#if SYSTEM_SELF_TEST
bdata bit fSystemSelfTestEvent=0;
//BYTE data SelfTestCounter;
#endif





//====For Uart0 & Uart1
#if UART0_SELF_TEST
bdata bit fSystemUart0RxEvent=0;

#endif
#if UART_SELF_TEST
bdata bit fSystemUart1RxEvent=0;
BYTE data Uart1RxData;
bdata bit fSystemUart1TxEvent=0;
#endif

//====For Ir
#if IR_SELF_TEST
bdata bit fSystemIrInt0Event=0;
bdata bit fSystemIrInt1Event=0;
#endif

//====For VDD
#if VDD_SELF_TEST
bdata bit fSystemVddInt0Event=0;
//bdata bit fSystemVddInt1Event=0;
#endif

//====For WDT
#if DWDT_SELF_TEST
bdata bit fSystemWdtInt0Event=0;
//WORD data WatchDogCounter=0;
#endif

//====For INT0
#if INT0_SELF_TEST
bdata bit fSystemInt0Event=0;
BYTE data INT0Data0=0;
BYTE data INT0Data1=0; 
#endif


//===== For RTC
BYTE idata gbRtcSec, gbRtcMin, gbRtcHour, gbRtcDay, gbRtcWeek, gbRtcMonth, gbRtcYear;
BYTE idata gbBackupRtcSec, gbBackupRtcMin, gbBackupRtcHour, gbBackupRtcDay, gbBackupRtcWeek, gbBackupRtcMonth, gbBackupRtcYear;
BYTE data gbRtcUpdateFlag=0;
bdata bit gsbSecFlag=0;



//===== For SPI Slave
#ifdef	ENABLE_SPI_MODE
//sPOINT 	xdata gsSpiCurPoint; 
//BYTE xdata gbSpiIndex=0;
BYTE xdata gbSpiTxBuffers[8];
BYTE xdata gbSpiRxBuffers[10];
BYTE xdata gbSpiAdcCounter[8];
#endif
